Subject: bug#58992: 28.2; "lax space matching" no longer works

From: Vincent Lefevre <[email-masked]>
Date: Sat, 5 Nov 2022 12:20:44 +0100

On 2022-11-05 08:47:27 +0200, Eli Zaretskii wrote:
> > If I'm not mistaken, it is said only in Section "Character Classes",
> > not at a higher level.
> 
> Yes, because that's where [:space:] is described.  Saying it in other
> places would be a didactic mistake, because those other places are not
> directly related to use of character classes in regular expressions.
> 
> In general, when one looks for details of some Emacs feature, one has
> to read the parts of the manual which actually describe that feature
> in all its details.

Not necessarily. The regexp may come from somewhere else (there
was the Emacs manual about search-whitespace-regexp, though this
is no longer the case, but this could be in various other places)
and the user may test it without looking at the details, but he
doesn't know that the behavior depends on the major mode, so that
his tests are actually wrong.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)